package io.renren.modules.levelManage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.levelManage.entity.ProjectAttributesEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author Noth
 * @email sunlightcs@gmail.com
 * @date 2022-09-17 17:20:39
 */

public interface ProjectAttributesService extends IService<ProjectAttributesEntity> {

    PageUtils queryPage(Map<String, Object> params);

    Integer hasProject(String schema);

    Integer createTable(List<Map<String,String>> cols);

    List<Map<String,Object>> listAttribute();

    Integer countProject();

    List<String> listCols();

    List<Map<String,Object>> listData(List<String> tableCols,Integer page,Integer size);

    List<String> listBoolCols();

    Map<String,Object> selectById(Long id,List<String> tableCols);

    Long saveWithCols(List<Map<String,Object>> cols);

    String selectProjectNameById(Long id);

    Integer updateWithCols(List<Map<String,Object>> cols,Long id);

    List<Map<String,Object>> selectByName(List<String> tableCols,Integer page,Integer limit,String name);

    Integer getCountByName(String name);

    Integer removeProjectByIds(List<Long> ids);

    Integer dropProject();

    List<Map<String,Object>> listProjectName();

    String countProjectLevel(Long id);

    Integer selectRootLevel(Long id);


    List<Map<String, Object>> listProjectByUid(Long uid);
}

